---
title: "Delete endpoint"
description: "Delete an RPC endpoint owned by the authenticated account"
url: "https://blockreq.com/docs/build/api-reference/blockreq/blockreq-deleteendpoint/"
---

# Delete endpoint

## Description

`DELETE /api/dashboard/endpoints` deletes an endpoint by `endpointId` for the Management API Key owner.

## Request

| Item | Value |
| --- | --- |
| Method | `DELETE` |
| URL | `https://blockreq.com/api/dashboard/endpoints` |
| Header | `Authorization: Bearer akv1_...` |
| Body | `{ "endpointId": "..." }` |

## Code

**cURL**

```bash
curl -X DELETE https://blockreq.com/api/dashboard/endpoints \
  -H "Authorization: Bearer akv1_YOUR_MANAGEMENT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"endpointId":"YOUR_ENDPOINT_ID"}'
```

**JavaScript**

```javascript
await fetch("https://blockreq.com/api/dashboard/endpoints", {
  method: "DELETE",
  headers: {
    Authorization: "Bearer akv1_YOUR_MANAGEMENT_API_KEY",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({ endpointId: "YOUR_ENDPOINT_ID" }),
});
```

## Try It

`DELETE https://blockreq.com/api/dashboard/endpoints`
